Bug 205166 - spell check not working with mutliple languages installed
spell check not working with mutliple languages installed
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: gtkhtml3 (Show other bugs)
6
All Linux
medium Severity medium
: ---
: ---
Assigned To: Matthew Barnes
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-09-05 01:44 EDT by Trever Adams
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version: gtkhtml3-3.12.2-1.fc6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-01-02 19:25:01 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Trever Adams 2006-09-05 01:44:19 EDT
Description of problem:
This may be an aspell bug, or it may be how evolution uses it. I speak Spanish
and English. I recently got tired of not being able to spell check my Spanish
emails and installed aspell-es. I now can. However, I see two HUGE bugs.

First off, even with spanish being the "current language" selected under the
edit menu, when I spell check, I get a lot of english words that DO NOT appear
in spanish. Also, it defaults to adding the new words to the english dictionary.
Both of these are serious flaws in the design.

Version-Release number of selected component (if applicable):
aspell-0.60.3-7.1
aspell-en-6.0-2.1
aspell-es-0.50-13.2.2
evolution-2.7.92-7.fc6


How reproducible:
Every time

Steps to Reproduce:
1. Set your language to one language
2. Install mutliple aspell dictionaries
3. Open evolution and create a new email
4. Set the current language to other than your default (english here)
5. Write an email make a few mistakes or don't use accent characters (I use
spell check to help me fix these up).
6. Spell check
7. See all those english words and the add to english?
  
Actual results:
Spell check uses more than the current language in spell checking, it also
provides suggestions from more than the current -- bad bad bad.

Expected results:
The current language should be the only one which aspell/evolution use to get
suggestions and to check words against. Aslo, it should be the default for
adding new words, not the default language of the system.
Comment 1 Matthew Barnes 2006-09-05 09:51:30 EDT
Sounds like it's either a composer (gtkhtml3) or a gnome-spell bug.  I'll assume
gtkhtml3 until I can prove otherwise.  Trever, can you please post which version
of gtkhtml3 and gnome-spell you're using?
Comment 2 Trever Adams 2006-09-05 18:45:25 EDT
gtkhtml3-3.12.0-1.fc6
gnome-spell-1.0.7-3.1

Hope that helps. Thank you for looking into this.
Comment 3 Matthew Barnes 2007-01-02 11:07:40 EST
Apologies for taking so long to respond.

Is this problem still present in Fedora Core 6 or later?
Comment 4 Trever Adams 2007-01-02 17:44:30 EST
Ok, the add to dictionary doesn't default to the selected language (it defaults
to the default language), however, I can now add it to the selected language...
irritating, but ok.

It is now a check box to select language. This is frustrating, but probably just
an irritation.

Shall we mark this closed then, or should the irritations be fixed?
Comment 5 Matthew Barnes 2007-01-02 19:25:01 EST
Thanks for responding.  I'll mark this closed then.

Please open a separate bug report for the irritating language selection
behavior, if you care to.  A screenshot might be helpful.

Note You need to log in before you can comment on or make changes to this bug.